#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup, find_packages

VERSION = open("casa_envoy/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = [
    "pycapo",
    "bs4",
    "lxml",
    "pex==2.1.41"
]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces CASA functionality bridge",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["casa_envoy = casa_envoy.palaver:main"]},
)
